package com.ibiz5.api.productapi.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5UNIPRODUCT;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5UNIPRODUCTDTO {

    private String ibz5uniproductname;

    private String ibz5uniproducttype;

    private String ibz5uniproductid;

    private String updateman;

    private Timestamp createdate;

    private String unit;

    private Timestamp updatedate;

    private String createman;

    private Double unitprice;


    public IBZ5UNIPRODUCT toPO() {
        IBZ5UNIPRODUCT po = new IBZ5UNIPRODUCT();
        BeanCopier copier=BeanCopier.create(IBZ5UNIPRODUCTDTO.class, IBZ5UNIPRODUCT.class, false);
        copier.copy(this, po, null);
        po.setIbz5uniproductid(null);
        return po;
    }

    public void fromPO(IBZ5UNIPRODUCT po) {
        BeanCopier copier=BeanCopier.create(IBZ5UNIPRODUCT.class, IBZ5UNIPRODUCTDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5UNIPRODUCTDTO> fromPOPage(Page<IBZ5UNIPRODUCT> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5UNIPRODUCTDTO> dtoPage=new Page<IBZ5UNIPRODUCTDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5UNIPRODUCTDTO> dtos=new ArrayList<IBZ5UNIPRODUCTDTO>();
        for(IBZ5UNIPRODUCT po : poPage.getRecords()) {
            IBZ5UNIPRODUCTDTO dto = new IBZ5UNIPRODUCTDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
