package com.ibiz5.api.web.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5CUSTOMER;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5CUSTOMERDTO {

    private String ibz5customername;

    private Timestamp updatedate;

    private String updateman;

    private Timestamp createdate;

    private String createman;

    private String ibz5customerid;


    public IBZ5CUSTOMER toPO() {
        IBZ5CUSTOMER po = new IBZ5CUSTOMER();
        BeanCopier copier=BeanCopier.create(IBZ5CUSTOMERDTO.class, IBZ5CUSTOMER.class, false);
        copier.copy(this, po, null);
        po.setIbz5customerid(null);
        return po;
    }

    public void fromPO(IBZ5CUSTOMER po) {
        BeanCopier copier=BeanCopier.create(IBZ5CUSTOMER.class, IBZ5CUSTOMERDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5CUSTOMERDTO> fromPOPage(Page<IBZ5CUSTOMER> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5CUSTOMERDTO> dtoPage=new Page<IBZ5CUSTOMERDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5CUSTOMERDTO> dtos=new ArrayList<IBZ5CUSTOMERDTO>();
        for(IBZ5CUSTOMER po : poPage.getRecords()) {
            IBZ5CUSTOMERDTO dto = new IBZ5CUSTOMERDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
