package com.ibiz5.app.controller;

import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ibiz5.ibizutil.domain.ActionResult;
import com.ibiz5.ibizutil.domain.CodeList;
import com.ibiz5.ibizutil.errors.BadRequestAlertException;
import org.springframework.validation.annotation.Validated;
import org.springframework.http.ResponseEntity;

@RestController
public class CodeListController{

	@Resource(name="DemoSys_ORDERSTATECodeList")
	private com.ibiz5.sample.codelist.ORDERSTATECodeList demoSys_app_ORDERSTATECodeList;
	@RequestMapping("/app/app/codelist/demosys/orderstate")
    public ResponseEntity<CodeList> appgetDemoSys_ORDERSTATECodeList(){
    	return ResponseEntity.ok().body(demoSys_app_ORDERSTATECodeList.getCodeList());
	}
	@RequestMapping("/app/app/codelist/getall")
    public ResponseEntity<List<CodeList>> appgetAll(){
     List<CodeList> list = new ArrayList<CodeList>();
    list.add(demoSys_app_ORDERSTATECodeList.getCodeList());
    	return ResponseEntity.ok().body(list);
	}
	@Resource(name="DemoSys_SysOperatorCodeList")
	private com.ibiz5.sample.codelist.SysOperatorCodeList demoSys_web_SysOperatorCodeList;
	@Resource(name="DemoSys_ORDERSTATECodeList")
	private com.ibiz5.sample.codelist.ORDERSTATECodeList demoSys_web_ORDERSTATECodeList;
	@RequestMapping("/web/app/codelist/demosys/sysoperator")
    public ResponseEntity<CodeList> webgetDemoSys_SysOperatorCodeList(){
    	return ResponseEntity.ok().body(demoSys_web_SysOperatorCodeList.getCodeList());
	}
	@RequestMapping("/web/app/codelist/demosys/orderstate")
    public ResponseEntity<CodeList> webgetDemoSys_ORDERSTATECodeList(){
    	return ResponseEntity.ok().body(demoSys_web_ORDERSTATECodeList.getCodeList());
	}
	@RequestMapping("/web/app/codelist/getall")
    public ResponseEntity<List<CodeList>> webgetAll(){
     List<CodeList> list = new ArrayList<CodeList>();
    list.add(demoSys_web_SysOperatorCodeList.getCodeList());
    list.add(demoSys_web_ORDERSTATECodeList.getCodeList());
    	return ResponseEntity.ok().body(list);
	}
}