package com.ibiz5.sample.codelist;

import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz5.ibizutil.domain.CodeList;
import com.ibiz5.ibizutil.domain.CodeItem;

/**
 * 代码表[订单审批步骤]
 */
@Component("DemoSys_ORDERSTEPCodeList")
public class ORDERSTEPCodeList extends com.ibiz5.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}
	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("DemoSys_ORDERSTEP");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("1");
		item0.setId("1");
		item0.setText("发起人调整");
		item0.setLabel("发起人调整");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("1",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("5");
		item1.setId("5");
		item1.setText("部门经理审核");
		item1.setLabel("部门经理审核");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("5",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("10");
		item2.setId("10");
		item2.setText("财务经理审核");
		item2.setLabel("财务经理审核");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("10",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("20");
		item3.setId("20");
		item3.setText("总经理审核");
		item3.setLabel("总经理审核");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("20",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("30");
		item4.setId("30");
		item4.setText("财务总监审批");
		item4.setLabel("财务总监审批");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("30",item4);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
    }
}