package com.ibiz5.sample.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import lombok.Data;
import org.springframework.beans.BeanUtils;
import org.springframework.cglib.beans.BeanMap;
import org.springframework.cglib.beans.BeanGenerator;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import java.util.Map;
import java.util.HashMap;
import org.springframework.util.StringUtils;
import com.ibiz5.ibizutil.security.AuthenticationUser;
import java.util.Date;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import org.springframework.cglib.beans.BeanCopier;
import com.ibiz5.ibizutil.annotation.Dict;
import com.ibiz5.ibizutil.domain.EntityBase;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import java.math.BigInteger;
import com.ibiz5.ibizutil.enums.FillMode;
import com.ibiz5.ibizutil.enums.PredefinedType;
import com.ibiz5.ibizutil.annotation.PreField;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 实体[IBZ5CUSTOMERMG] 数据对象
 */
@TableName(value = "",resultMap = "IBZ5CUSTOMERMGResultMap")
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class IBZ5CUSTOMERMG extends EntityBase implements Serializable{

     /**
     * 复制当前对象数据到目标对象(粘贴重置)
     *
     * @throws Exception
     */
    public IBZ5CUSTOMERMG copyTo(IBZ5CUSTOMERMG targetEntity)
	{
		BeanCopier copier=BeanCopier.create(IBZ5CUSTOMERMG.class, IBZ5CUSTOMERMG.class, false);
		copier.copy(this, targetEntity, null);
        targetEntity.setIbz5customerid(null);
		return targetEntity;
	}
}
