package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5HARDWARE;
import com.ibiz5.sample.service.dto.IBZ5HARDWARESearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5HARDWARE] 服务对象接口
 */
public interface IBZ5HARDWAREService extends IService<IBZ5HARDWARE>{

	boolean create(IBZ5HARDWARE et);
	boolean update(IBZ5HARDWARE et);
	boolean getDraft(IBZ5HARDWARE et);
	boolean remove(IBZ5HARDWARE et);
	IBZ5HARDWARE get(IBZ5HARDWARE et);
	boolean checkKey(IBZ5HARDWARE et);
    List<IBZ5HARDWARE> listDefault(IBZ5HARDWARESearchFilter filter) ;
	Page<IBZ5HARDWARE> searchDefault(IBZ5HARDWARESearchFilter filter);
    List<IBZ5HARDWARE> listIndexDER(IBZ5HARDWARESearchFilter filter) ;
	Page<IBZ5HARDWARE> searchIndexDER(IBZ5HARDWARESearchFilter filter);
	/**	 实体[IBZ5HARDWARE] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }