package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5ORDER;
import com.ibiz5.sample.service.dto.IBZ5ORDERSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5ORDER] 服务对象接口
 */
public interface IBZ5ORDERService extends IService<IBZ5ORDER>{

	boolean checkKey(IBZ5ORDER et);
	IBZ5ORDER callSerInterface(IBZ5ORDER et);
	boolean getDraft(IBZ5ORDER et);
	IBZ5ORDER get(IBZ5ORDER et);
	boolean update(IBZ5ORDER et);
	boolean remove(IBZ5ORDER et);
	boolean create(IBZ5ORDER et);
    List<IBZ5ORDER> listDefault(IBZ5ORDERSearchFilter filter) ;
	Page<IBZ5ORDER> searchDefault(IBZ5ORDERSearchFilter filter);
	/**	 实体[IBZ5ORDER] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
	String getMajState(IBZ5ORDER et);
 }