package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5UNIPRODUCT;
import com.ibiz5.sample.service.dto.IBZ5UNIPRODUCTSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5UNIPRODUCT] 服务对象接口
 */
public interface IBZ5UNIPRODUCTService extends IService<IBZ5UNIPRODUCT>{

	boolean checkKey(IBZ5UNIPRODUCT et);
	boolean update(IBZ5UNIPRODUCT et);
	boolean remove(IBZ5UNIPRODUCT et);
	IBZ5UNIPRODUCT get(IBZ5UNIPRODUCT et);
	boolean create(IBZ5UNIPRODUCT et);
	boolean getDraft(IBZ5UNIPRODUCT et);
    List<IBZ5UNIPRODUCT> listIndexDER(IBZ5UNIPRODUCTSearchFilter filter) ;
	Page<IBZ5UNIPRODUCT> searchIndexDER(IBZ5UNIPRODUCTSearchFilter filter);
    List<IBZ5UNIPRODUCT> listDefault(IBZ5UNIPRODUCTSearchFilter filter) ;
	Page<IBZ5UNIPRODUCT> searchDefault(IBZ5UNIPRODUCTSearchFilter filter);
	/**	 实体[IBZ5UNIPRODUCT] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }