package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.INT_ORDER;
import com.ibiz5.sample.service.dto.INT_ORDERSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[INT_ORDER] 服务对象接口
 */
public interface INT_ORDERService extends IService<INT_ORDER>{

	boolean update(INT_ORDER et);
	boolean checkKey(INT_ORDER et);
	boolean remove(INT_ORDER et);
	INT_ORDER get(INT_ORDER et);
	boolean getDraft(INT_ORDER et);
	boolean create(INT_ORDER et);
    List<INT_ORDER> listDefault(INT_ORDERSearchFilter filter) ;
	Page<INT_ORDER> searchDefault(INT_ORDERSearchFilter filter);
	/**	 实体[INT_ORDER] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }