package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.INT_PROUDCTMapper;
import com.ibiz5.sample.domain.INT_PROUDCT;
import com.ibiz5.sample.service.INT_PROUDCTService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.INT_PROUDCTSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[INT_PROUDCT] 服务对象接口实现
 */
@Service
public class INT_PROUDCTServiceImpl extends ServiceImplBase<INT_PROUDCTMapper, INT_PROUDCT> implements INT_PROUDCTService{

    @Resource
    private INT_PROUDCTMapper int_proudctMapper;

    @Override
    public boolean create(INT_PROUDCT et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(INT_PROUDCT et){
        this.beforeUpdate(et);
		this.int_proudctMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(INT_PROUDCT et){
		return et.getInt_proudctid();  
    }
    @Override
    public boolean getDraft(INT_PROUDCT et)  {
            return true;
    }
	public List<INT_PROUDCT> listDefault(INT_PROUDCTSearchFilter filter) {
		return int_proudctMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<INT_PROUDCT> searchDefault(INT_PROUDCTSearchFilter filter) {
		return int_proudctMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return int_proudctMapper.selectRow(sql);
    }
    @Override
    public Page<INT_PROUDCT> selectPermission(QueryWrapper<INT_PROUDCT> selectCond) {
        return int_proudctMapper.selectPermission(new INT_PROUDCTSearchFilter().getPage(),selectCond);
    }
 }