package com.ibiz5.api.productapi.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5STORAGE;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5STORAGEDTO {

    private String ibz5hardwaretype;

    private String createman;

    private String ibz5storageid;

    private Timestamp createdate;

    private String producer;

    private String productuid;

    private String updateman;

    private String unit;

    private String ibz5storagename;

    private Timestamp updatedate;

    private Double unitprice;


    public IBZ5STORAGE toPO() {
        IBZ5STORAGE po = new IBZ5STORAGE();
        BeanCopier copier=BeanCopier.create(IBZ5STORAGEDTO.class, IBZ5STORAGE.class, false);
        copier.copy(this, po, null);
        po.setIbz5storageid(null);
        return po;
    }

    public void fromPO(IBZ5STORAGE po) {
        BeanCopier copier=BeanCopier.create(IBZ5STORAGE.class, IBZ5STORAGEDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5STORAGEDTO> fromPOPage(Page<IBZ5STORAGE> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5STORAGEDTO> dtoPage=new Page<IBZ5STORAGEDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5STORAGEDTO> dtos=new ArrayList<IBZ5STORAGEDTO>();
        for(IBZ5STORAGE po : poPage.getRecords()) {
            IBZ5STORAGEDTO dto = new IBZ5STORAGEDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
