package com.ibiz5.api.web.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5ORDER;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5ORDERDTO {

    private String ibz5ordername;

    private Integer detailnum;

    private String updateman;

    private String createman;

    private String memo;

    private String ibz5orderid;

    private Timestamp ordertime;

    private String orderstate;

    private String ibz5customername;

    private Timestamp updatedate;

    private Timestamp createdate;

    private Timestamp starttime;

    private String orderuid;

    private String ibz5customerid;

    private Timestamp endtime;

    private Double amount;

    private String ordertype;


    public IBZ5ORDER toPO() {
        IBZ5ORDER po = new IBZ5ORDER();
        BeanCopier copier=BeanCopier.create(IBZ5ORDERDTO.class, IBZ5ORDER.class, false);
        copier.copy(this, po, null);
        po.setIbz5orderid(null);
        return po;
    }

    public void fromPO(IBZ5ORDER po) {
        BeanCopier copier=BeanCopier.create(IBZ5ORDER.class, IBZ5ORDERDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5ORDERDTO> fromPOPage(Page<IBZ5ORDER> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5ORDERDTO> dtoPage=new Page<IBZ5ORDERDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5ORDERDTO> dtos=new ArrayList<IBZ5ORDERDTO>();
        for(IBZ5ORDER po : poPage.getRecords()) {
            IBZ5ORDERDTO dto = new IBZ5ORDERDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
