package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5CUSTOMERMG;
import com.ibiz5.sample.service.dto.IBZ5CUSTOMERMGSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5CUSTOMERMG] 服务对象接口
 */
public interface IBZ5CUSTOMERMGService extends IService<IBZ5CUSTOMERMG>{

	boolean create(IBZ5CUSTOMERMG et);
	IBZ5CUSTOMERMG get(IBZ5CUSTOMERMG et);
	boolean update(IBZ5CUSTOMERMG et);
	boolean remove(IBZ5CUSTOMERMG et);
	boolean getDraft(IBZ5CUSTOMERMG et);
	boolean checkKey(IBZ5CUSTOMERMG et);
    List<IBZ5CUSTOMERMG> listDefault(IBZ5CUSTOMERMGSearchFilter filter) ;
	Page<IBZ5CUSTOMERMG> searchDefault(IBZ5CUSTOMERMGSearchFilter filter);
	/**	 实体[IBZ5CUSTOMERMG] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }