package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5CUSTOMER;
import com.ibiz5.sample.service.dto.IBZ5CUSTOMERSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5CUSTOMER] 服务对象接口
 */
public interface IBZ5CUSTOMERService extends IService<IBZ5CUSTOMER>{

	boolean create(IBZ5CUSTOMER et);
	boolean checkKey(IBZ5CUSTOMER et);
	IBZ5CUSTOMER get(IBZ5CUSTOMER et);
	boolean update(IBZ5CUSTOMER et);
	boolean remove(IBZ5CUSTOMER et);
	boolean getDraft(IBZ5CUSTOMER et);
    List<IBZ5CUSTOMER> listDefault(IBZ5CUSTOMERSearchFilter filter) ;
	Page<IBZ5CUSTOMER> searchDefault(IBZ5CUSTOMERSearchFilter filter);
	/**	 实体[IBZ5CUSTOMER] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }