package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5SOFTWARESUIT;
import com.ibiz5.sample.service.dto.IBZ5SOFTWARESUITSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5SOFTWARESUIT] 服务对象接口
 */
public interface IBZ5SOFTWARESUITService extends IService<IBZ5SOFTWARESUIT>{

	boolean getDraft(IBZ5SOFTWARESUIT et);
	boolean update(IBZ5SOFTWARESUIT et);
	IBZ5SOFTWARESUIT get(IBZ5SOFTWARESUIT et);
	boolean checkKey(IBZ5SOFTWARESUIT et);
	boolean create(IBZ5SOFTWARESUIT et);
	boolean remove(IBZ5SOFTWARESUIT et);
    List<IBZ5SOFTWARESUIT> listDefault(IBZ5SOFTWARESUITSearchFilter filter) ;
	Page<IBZ5SOFTWARESUIT> searchDefault(IBZ5SOFTWARESUITSearchFilter filter);
	/**	 实体[IBZ5SOFTWARESUIT] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }